#
# Conditional build:
%bcond_with	bootstrap	# use foreign (non-rpm) ghc
#
Summary:	Yacc-like LALR(1) Parser Generator for Haskell
Summary(pl.UTF-8):	Generator parserów LALR(1) w stylu yacc-a dla Haskella
Name:		happy
Version:	1.19.2
Release:	1
License:	BSD-like w/o adv. clause
Group:		Development/Tools
#Source0Download: http://hackage.haskell.org/package/happy
Source0:	http://hackage.haskell.org/package/happy-%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	36602c3c6e3004f49754ea6c173d2c39
URL:		http://www.haskell.org/happy/
BuildRequires:	autoconf >= 2.50
BuildRequires:	docbook-dtd42-xml
BuildRequires:	docbook-style-xsl
%{!?with_bootstrap:BuildRequires:	ghc >= 6.6}
BuildRequires:	ghc-mtl >= 1.0
BuildRequires:	gmp-devel
BuildRequires:	libxslt-progs
#For generating documentation in PDF: fop or xmltex
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Happy is a parser generator system for Haskell, similar to the tool
‘yacc’ for C. Like ‘yacc’, it takes a file containing an annotated BNF
specification of a grammar and produces a Haskell module containing a
parser for the grammar.

Happy is flexible: you can have several Happy parsers in the same
program, and several entry points to a single grammar. Happy can work
in conjunction with a lexical analyser supplied by the user (either
hand-written or generated by another program), or it can parse a
stream of characters directly (but this isn't practical in most
cases).

Authors:
--------
    Simon Marlow <simonmar@microsoft.com>
    Andy Gill <andy@galconn.com>

%description -l pl.UTF-8
Happy to system generatorów parserów dla Haskella, podobny do
narzędzia yacc dla C. Na podstawie specyfikacji gramatyki w notacji
BNF generuje moduł w Haskellu zawierający parser tej gramatyki.

Happy jest elastyczny: można mieć kilka parserów wygenerowanych przez
Happy w jednym programie tudzież kilka symboli startowych dla tej
samej gramatyki. Happy może współpracować z analizatorem leksykalnym
dostarczonym przez programistę (napisanym ręcznie albo wygenerowanym
przez inny program), może też parsować strumień znaków bezpośrednio
(co zwykle jest mniej praktyczne).

Autorzy:
--------
    Simon Marlow <simonmar@microsoft.com>
    Andy Gill <andy@galconn.com>

%prep
%setup -q

%build
%{?with_bootstrap:PATH=$PATH:/usr/local/bin}
runhaskell Setup.lhs configure --prefix=%{_prefix}
runhaskell Setup.lhs build

cd doc
%{__autoconf}
%configure
%{__make} html
cd ..

%install
rm -rf $RPM_BUILD_ROOT
%{?with_bootstrap:PATH=$PATH:/usr/local/bin}
runhaskell Setup.lhs copy --destdir=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}
cp -a examples $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

# work around automatic haddock docs installation
%{__rm} -rf %{name}-%{version}-doc
cp -a $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version} %{name}-%{version}-doc
%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ANNOUNCE CHANGES README TODO doc/happy
%attr(755,root,root) %{_bindir}/happy
%{_datadir}/%{name}-%{version}
%{_examplesdir}/%{name}-%{version}
%changelog
* Sat Jan 18 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/happy.git;a=log;h=master

* Sat Dec 07 2013 Jakub Bogusz <qboosh@pld-linux.org> b9a3e25
- updated to 1.19.2

* Fri May 31 2013 Jan Rękorajski <baggins@pld-linux.org> 7117c35
- fix doc install
- rel 2

* Sun Mar 17 2013 Jakub Bogusz <qboosh@pld-linux.org> 70c3f82
- autoconf version

* Sun Mar 17 2013 Jakub Bogusz <qboosh@pld-linux.org> 075017c
- updated to 1.18.10 (now builds with ghc 7.6.1)

* Tue Sep 27 2011 Jan Rękorajski <baggins@pld-linux.org> b02ce28
- 1.18.6

* Fri Aug 27 2010 Jan Rękorajski <baggins@pld-linux.org> 8b8b6f8
- BR ghc-mtl

* Fri Aug 27 2010 Jan Rękorajski <baggins@pld-linux.org> 4940be3
- updated md5sum

* Fri Aug 27 2010 Jan Rękorajski <baggins@pld-linux.org> 3bc40af
- 1.18.5

* Wed Apr 07 2010 Jan Rękorajski <baggins@pld-linux.org> 59978f3
- rel 2

* Wed Nov 25 2009 Jan Rękorajski <baggins@pld-linux.org> 7cb0ced
- 1.18.4

* Sun Jul 05 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 7f4f96f
- drop obsolete files

* Wed Feb 21 2007 qrczak <qrczak@pld-linux.org> 8d8818f
- 1.16
- Updated BR, description, files list etc.

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> ffa6c29
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 497125e
- converted to UTF-8

* Fri Apr 21 2006 Jan Rękorajski <baggins@pld-linux.org> 97d1290
- orphaned, outdated

* Thu Mar 09 2006 Elan Ruusamäe <glen@pld-linux.org> a5f3d2b
- quote %{__cc}

* Mon Oct 17 2005 Jakub Bogusz <qboosh@pld-linux.org> d7e6ed8
- added bootstrap bcond, release 2

* Sun Jul 03 2005 undefine <undefine@pld-linux.org> ffe9a9d
- add examples

* Sun Jul 03 2005 undefine <undefine@pld-linux.org> b4886ac
- up to 1.15
- use html docs(don't duplicate and our tetex suxx)
- remove DESTDIR patch
- rel 1

* Tue Nov 30 2004 undefine <undefine@pld-linux.org> d3b2f2b
- release 3

